Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit.command
Class AuditCommand<T>

    java.lang.Object
      org.jbpm.process.audit.command.AuditCommand<T>

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<T>, Command<T>

Direct Known Subclasses:
  AuditNodeInstanceLogQueryCommand, AuditProcessInstanceLogQueryCommand, AuditVariableInstanceLogQueryCommand, ClearHistoryLogsCommand, FindActiveProcessInstancesCommand, FindNodeInstancesCommand, FindProcessInstanceCommand, FindProcessInstancesCommand, FindSubProcessInstancesCommand, FindVariableInstancesByNameCommand, FindVariableInstancesCommand

    public abstract class AuditCommand<T>

extends Object
implements org.drools.core.command.impl.GenericCommand<T>

See Also:
  Serialized Form

Field Summary
`protected AuditLogService` | `auditLogService`

Constructor Summary
`AuditCommand()`

Method Summary
`void` | `setAuditLogService(AuditLogService auditLogService)`
`protected void` | `setLogEnvironment(org.kie.internal.command.Context cntxt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.core.command.impl.GenericCommand
`execute`

Field Detail

### auditLogService

    protected AuditLogService auditLogService

Constructor Detail

### AuditCommand

    public AuditCommand()

Method Detail

### setAuditLogService

    public void setAuditLogService(AuditLogService auditLogService)

### setLogEnvironment

    protected void setLogEnvironment(org.kie.internal.command.Context cntxt)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.